require "map"
require "menu"

function love.load()

	 medium = love.graphics.newFont(20)
	 
	 gamestate = "menu"
	 
	 --Buttons
	 button_spawn(5,200,"Start", "start")
	 button_spawn(5,600,"Quit", "quit")
	 --bg
	 picture = love.graphics.newImage('images/gamebg.jpg')
	 
	 --apprentice
	 katniss = love.graphics.newImage('images/apprentice.png')
	 
player = {
	 katnissx = 280,
	 katnissy = 380,
	 ySpeed = 0,
	 gravSecond = 1.5 -- gravity amt
	 }
	end

	
	function love.keypressed(key)
   if key == "up" and player.katnissy < 400 then -- Are we on the ground?
      player.ySpeed = -20 -- Make us add a negative, to move up
   end
	
end


function love.update(dt)

mousex = love.mouse.getX()
mousey = love.mouse.getY()

if gamestate == "menu" then
	button_check()
end

map_collide()

-- Player Movement

if love.keyboard.isDown('right') then
		player.katnissx = player.katnissx + 5
	end
	if love.keyboard.isDown('left') then
		player.katnissx = player.katnissx - 5
	end
	
   frame = dt * 30
   player.ySpeed = player.ySpeed + player.gravSecond * frame -- We add gravity to the ySpeed
   player.katnissy = player.katnissy + player.ySpeed * frame -- We add ySpeed to the player's y position
   if player.katnissy > 400 then -- Are we on the ground?
      player.katnissy = player.katnissy - player.ySpeed * frame -- If we are, We undo that moving down
      player.ySpeed = 0 -- The ySpeed is reset
	
end

function love.draw()

	love.graphics.setFont(medium)
	love.graphics.setColor(255,100,100)
	love.graphics.print(text, 0, 0)

	
end

function love.draw()

if gamestate == "playing" then

love.graphics.setColor(255,255,255)
love.graphics.draw(picture, 0, 0)

      love.graphics.setColor(255,255,255)
      love.graphics.draw(katniss, player.katnissx, player.katnissy) -- Draw it!
	
	end
	
	if gamestate == "menu" then
	button_draw()
	end
	
end
function love.mousepressed(x,y)
	if gamestate == "menu" then
	button_click(x,y)

end
end
end